# Uses of Interface
org.opensaml.xacml.policy.PolicyType

Packages that use PolicyType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of PolicyType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type PolicyType
Modifier and Type
Method
Description
`List<PolicyType>`
PolicySetType.`getPolicies()`
Gets the child policies.

## Uses of PolicyType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement PolicyType
Modifier and Type
Class
Description
`class`
`PolicyTypeImpl`
Concrete implemenation of `PolicyType`.
Methods in org.opensaml.xacml.policy.impl that return PolicyType
Modifier and Type
Method
Description
`PolicyType`
PolicyTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`PolicyType`
PolicyTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type PolicyType
Modifier and Type
Method
Description
`List<PolicyType>`
PolicySetTypeImpl.`getPolicies()`
Gets the child policies.

## Uses of PolicyType in org.opensaml.xacml.profile.saml

Methods in org.opensaml.xacml.profile.saml that return types with arguments of type PolicyType
Modifier and Type
Method
Description
`List<PolicyType>`
ReferencedPoliciesType.`getPolicies()`
Gets the policies in this element.
`List<PolicyType>`
XACMLAuthzDecisionQueryType.`getPolicies()`
Gets the policies to be used while rendering a decision.
`List<PolicyType>`
XACMLPolicyStatementType.`getPolicies()`
Return the XACMLPolicy inside the policy statement.

## Uses of PolicyType in org.opensaml.xacml.profile.saml.impl

Fields in org.opensaml.xacml.profile.saml.impl with type parameters of type PolicyType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<PolicyType>`
ReferencedPoliciesTypeImpl.`policies`
List of policies.
`private List<PolicyType>`
XACMLAuthzDecisionQueryTypeImpl.`policies`
Policy children.
Methods in org.opensaml.xacml.profile.saml.impl that return types with arguments of type PolicyType
Modifier and Type
Method
Description
`List<PolicyType>`
ReferencedPoliciesTypeImpl.`getPolicies()`
Gets the policies in this element.
`List<PolicyType>`
XACMLAuthzDecisionQueryTypeImpl.`getPolicies()`
Gets the policies to be used while rendering a decision.
`List<PolicyType>`
XACMLPolicyStatementTypeImpl.`getPolicies()`
Return the XACMLPolicy inside the policy statement.